> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runtype.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runtype.com/_mcp/server.

# Select organization model-provider credential custody

PUT https://api.runtype.com/v1/provider-keys/organization-policy
Content-Type: application/json

Selects the organization-wide credential used for a migrated model provider. This is an explicit audited authority change affecting all members and detached execution.

Reference: https://docs.runtype.com/api-reference/runtype-api/provider-keys/select-organization-model-provider-credential-custody

## Authentication

- `Authorization` header (bearer token, required) — API key or Clerk session token

## Servers

- `https://api.runtype.com` (Production, default)
- `https://api.runtype-staging.com` (Staging)

## Request

### Body (application/json)

This endpoint expects a Provider Keys_selectOrganizationModelProviderCredentialCustody_Request.

- `Provider Keys_selectOrganizationModelProviderCredentialCustody_Request`

## Response

### 200

Organization provider credential selected

- `connectionId` (string, required, nullable)
- `policy` (string, required)
- `provider` (string, required)

## Errors

### 400 Bad Request Error

Invalid request

- `error` (string, required)
- `details` (list of ErrorDetailsItems, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (string, required)
- `details` (list of ErrorDetailsItems, optional)

### 403 Forbidden Error

Organization context or permission required

- `error` (string, required)
- `details` (list of ErrorDetailsItems, optional)

### 422 Unprocessable Entity Error

Credential selection unavailable

- `error` (string, required)
- `details` (list of ErrorDetailsItems, optional)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `details` (list of ErrorDetailsItems, optional)

## Types

### ProviderKeysSelectOrganizationModelProviderCredentialCustodyRequest0

- `provider` (enum, required)
  - Allowed values: `openai`, `anthropic`, `google`, `xai`, `mixlayer`, `vercel`, `tinfoil`, `bedrock`, `generic-openai`, `vertex`, `vertex-anthropic`
- `selection` (V1ProviderKeysOrganizationPolicyPutRequestBodyContentApplicationJsonSchemaOneOf0Selection, required)

### ProviderKeysSelectOrganizationModelProviderCredentialCustodyRequest1

- `provider` (enum, required)
  - Allowed values: `openai`, `anthropic`, `google`, `xai`, `mixlayer`, `vercel`
- `selection` (enum, required)
  - Allowed values: `platform`

### ErrorDetailsItems

- `message` (string, required)
- `code` (string, optional) — Stable Runtype validation code (e.g. MISSING_REQUIRED_FIELD, INVALID_ENUM).
- `path` (string, optional) — Dotted JSON path to the offending field.
- `suggestion` (string, optional) — Actionable hint (allowed values, accepted range, …).

### V1ProviderKeysOrganizationPolicyPutRequestBodyContentApplicationJsonSchemaOneOf0Selection

- `connectionId` (string, required)

## Examples

**Request**

```json
{
  "provider": "openai",
  "selection": {
    "connectionId": "string"
  }
}
```

**Response**

```json
{
  "connectionId": "string",
  "policy": "string",
  "provider": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.runtype.com/v1/provider-keys/organization-policy"

payload = {
    "provider": "openai",
    "selection": { "connectionId": "string" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.runtype.com/v1/provider-keys/organization-policy';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"provider":"openai","selection":{"connectionId":"string"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.runtype.com/v1/provider-keys/organization-policy"

	payload := strings.NewReader("{\n  \"provider\": \"openai\",\n  \"selection\": {\n    \"connectionId\": \"string\"\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.runtype.com/v1/provider-keys/organization-policy")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"provider\": \"openai\",\n  \"selection\": {\n    \"connectionId\": \"string\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.runtype.com/v1/provider-keys/organization-policy")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"provider\": \"openai\",\n  \"selection\": {\n    \"connectionId\": \"string\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.runtype.com/v1/provider-keys/organization-policy', [
  'body' => '{
  "provider": "openai",
  "selection": {
    "connectionId": "string"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.runtype.com/v1/provider-keys/organization-policy");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"provider\": \"openai\",\n  \"selection\": {\n    \"connectionId\": \"string\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "provider": "openai",
  "selection": ["connectionId": "string"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.runtype.com/v1/provider-keys/organization-policy")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```